Katello - Bug #6913

Content views that fail to publish should not have "promote" button.
08/04/2014 09:34 AM - Brad Buckingham
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1092143

Description of problem:

Sometimes (for whatever reason?) a content view publish action fails. This is visible in the Ul and has a red status bar, etc -- but the
"promote" button remains.

We should require that any content view have a check that the most recent publish attempt was successful before
displaying/enabling the promote button. There should probably be a help bubble explaining why promotion might be disabled.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140423.1

How reproducible:

Steps to Reproduce:

1. Attempt to publish a CV but assure this publish fails (how??)
2. View the results and click the 'Promote’ button.

3. View results.

Actual results:

In this case | got

required lock: #<ForemanTasks::Lock:0x007fd9a4e3e858> conflicts wiht [#<ForemanTasks::Lock id: 224, task_id:
"eObfaa22-52f9-4cef-abe9-d0ad02afe30e", name: "read", resource_type: "Katello::ContentView", resource_id: 3, exclusive: true>]".
Expected results:

I am not sure how relevant/useful error message above is for the bz, but in any case, we should disable the promote button until a

CV publish has been successful.

Additional info:

Associated revisions

Revision da6¢c674f - 08/04/2014 09:38 AM - Brad Buckingham

fixes #6913 / BZ 1092143 - content view version - disable promote/remove on failed task

This commit will disable the promote/remove button for a content view version,
if the current task being executed resulted in in an error. Once the error
has been resolved and the task completes, the buttons will be re-enabled.

Revision 0c00871b - 08/04/2014 09:38 AM - Brad Buckingham
fixes #6913 / BZ 1092143 - content view version - disable promote/remove on failed task
This commit will disable the promote/remove button for a content view version,

if the current task being executed resulted in in an error. Once the error
has been resolved and the task completes, the buttons will be re-enabled.
Revision 4950f0da - 08/05/2014 09:33 AM - Brad Buckingham
Merge pull request #4523 from bbuckingham/issue-6913

fixes #6913 / BZ 1092143 - content view version - disable promote/remove on failed task

Revision 2fb2f190 - 08/05/2014 09:33 AM - Brad Buckingham
Merge pull request #4523 from bbuckingham/issue-6913

fixes #6913 / BZ 1092143 - content view version - disable promote/remove on failed task

History

#1 - 08/04/2014 09:35 AM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 54

- Triaged changed from No to Yes

#2 - 08/04/2014 09:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4523 added
- Pull request deleted ()

#3 - 08/05/2014 10:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|da6c674f28cbaa0a58d3fdf833e27f1d66fc72bc.

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
